package org.communiquons.dccaggregator.activities

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.appcompat.app.AppCompatDelegate
import org.communiquons.dccaggregator.DCCAggregator
import org.communiquons.dccaggregator.R

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setTheme(R.style.Theme_DCCAggregator)
        setContentView(R.layout.activity_main)

        AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_YES)
    }

    override fun onResume() {
        super.onResume()

        // On first launch, start certificates manager first
        if (!(application as DCCAggregator).certManager.hasGeneratedCertificate)
            openCertsManager()
    }

    fun openCertsManager() {
        startActivity(Intent(this, CertsManager::class.java))
    }
}